Bug 254777

Summary: textproc/elasticsearch7 needs enforce_statfs = 1; in jails
Product: Ports & Packages Reporter: Paul Armstrong <freebsd>
Component: Individual Port(s)Assignee: Juraj Lutter <otis>
Status: Closed FIXED    
Severity: Affects Only Me CC: otis
Priority: --- Flags: bugzilla: maintainer-feedback? (elastic)
Version: Latest   
Hardware: Any   
OS: Any   

Description Paul Armstrong 2021-04-05 05:16:00 UTC
Please add a comment in pkg-message to notify users that elasticsearch requires  enforce_statfs = 1; for jails.

The discussion of this can be seen in this thread: https://github.com/elastic/elasticsearch/issues/12018 and I can confirm that this works.
Comment 1 Juraj Lutter freebsd_committer 2021-06-03 14:38:06 UTC
This is pending in next update.
Comment 2 commit-hook freebsd_committer 2021-07-06 20:45:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f950a15f3858d0b8abdb4357219058c3eed56fca

commit f950a15f3858d0b8abdb4357219058c3eed56fca
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2021-07-03 21:41:57 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-07-06 20:44:37 +0000

    textproc/elasticsearch7: Update to 7.13.2

    - Update to 7.13.2
    - Fix support tools to find java correctly [1]
    - Needs enforce_statfs = 1 in jails [2]
    - Fix rc order [3]

    PR:             256921 [1]
    PR:             254777 [2]
    PR:             254776 [3]

 textproc/elasticsearch7/Makefile                   |  7 +++---
 textproc/elasticsearch7/distinfo                   |  6 ++---
 textproc/elasticsearch7/files/elasticsearch.in     |  6 ++---
 .../files/patch-bin_elasticsearch-env (new)        | 26 ++++++++++++++++++++++
 .../files/patch-config_elasticsearch.yml           |  4 ++--
 .../elasticsearch7/files/patch-config_jvm.options  |  4 ++--
 textproc/elasticsearch7/files/pkg-message.in       |  6 +++++
 7 files changed, 46 insertions(+), 13 deletions(-)